NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::GeometricAnalysis::CurveContinuityBuilder Class Reference

Represents a curve continuity builder
To create a new instance of this class, use NXOpen::GeometricAnalysis::AnalysisObjectCollection::CreateCurveContinuityBuilder
Default values. More...

Inheritance diagram for NXOpen::GeometricAnalysis::CurveContinuityBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

double EndPointX ()
 Returns the end point x value
Created in NX7.0.0. More...
 
double EndPointY ()
 Returns the end point y value
Created in NX7.0.0. More...
 
double EndPointZ ()
 Returns the end point z value
Created in NX7.0.0. More...
 
bool G0Check ()
 Returns the G0 check
Created in NX7.0.0. More...
 
bool G1Check ()
 Returns the G1 check
Created in NX7.0.0. More...
 
bool G2Check ()
 Returns the G2 check
Created in NX7.0.0. More...
 
bool G3Check ()
 Returns the G3 check
Created in NX7.0.0. More...
 
NXOpen::SelectNXObjectSelectCurve ()
 Returns the select curve
Created in NX7.0.0. More...
 
NXOpen::SelectNXObjectSelectObject ()
 Returns the select object
Created in NX7.0.0. More...
 
void SetEndPointX (double endPointX)
 Sets the end point x value
Created in NX7.0.0. More...
 
void SetEndPointY (double endPointY)
 Sets the end point y value
Created in NX7.0.0. More...
 
void SetEndPointZ (double endPointZ)
 Sets the end point z value
Created in NX7.0.0. More...
 
void SetG0Check (bool g0Check)
 Sets the G0 check
Created in NX7.0.0. More...
 
void SetG1Check (bool g1Check)
 Sets the G1 check
Created in NX7.0.0. More...
 
void SetG2Check (bool g2Check)
 Sets the G2 check
Created in NX7.0.0. More...
 
void SetG3Check (bool g3Check)
 Sets the G3 check
Created in NX7.0.0. More...
 
void SetShowNeedle (bool showNeedle)
 Sets the show needle
Created in NX7.0.0. More...
 
bool ShowNeedle ()
 Returns the show needle
Created in NX7.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a curve continuity builder
To create a new instance of this class, use NXOpen::GeometricAnalysis::AnalysisObjectCollection::CreateCurveContinuityBuilder
Default values.

Property Value

EndPointX

0

EndPointY

0

EndPointZ

0

G0Check

1

G1Check

0

G2Check

0

G3Check

0

ShowNeedle

1


Created in NX7.0.0.

Member Function Documentation

double NXOpen::GeometricAnalysis::CurveContinuityBuilder::EndPointX ( )

Returns the end point x value
Created in NX7.0.0.



License requirements : None

double NXOpen::GeometricAnalysis::CurveContinuityBuilder::EndPointY ( )

Returns the end point y value
Created in NX7.0.0.



License requirements : None

double NXOpen::GeometricAnalysis::CurveContinuityBuilder::EndPointZ ( )

Returns the end point z value
Created in NX7.0.0.



License requirements : None

bool NXOpen::GeometricAnalysis::CurveContinuityBuilder::G0Check ( )

Returns the G0 check
Created in NX7.0.0.



License requirements : None

bool NXOpen::GeometricAnalysis::CurveContinuityBuilder::G1Check ( )

Returns the G1 check
Created in NX7.0.0.



License requirements : None

bool NXOpen::GeometricAnalysis::CurveContinuityBuilder::G2Check ( )

Returns the G2 check
Created in NX7.0.0.



License requirements : None

bool NXOpen::GeometricAnalysis::CurveContinuityBuilder::G3Check ( )

Returns the G3 check
Created in NX7.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::GeometricAnalysis::CurveContinuityBuilder::SelectCurve ( )

Returns the select curve
Created in NX7.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::GeometricAnalysis::CurveContinuityBuilder::SelectObject ( )

Returns the select object
Created in NX7.0.0.



License requirements : None

void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetEndPointX ( double  endPointX)

Sets the end point x value
Created in NX7.0.0.



License requirements : studio_analyze ("STUDIO ANALYZE")

Parameters
endPointXendpointx
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetEndPointY ( double  endPointY)

Sets the end point y value
Created in NX7.0.0.



License requirements : studio_analyze ("STUDIO ANALYZE")

Parameters
endPointYendpointy
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetEndPointZ ( double  endPointZ)

Sets the end point z value
Created in NX7.0.0.



License requirements : studio_analyze ("STUDIO ANALYZE")

Parameters
endPointZendpointz
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetG0Check ( bool  g0Check)

Sets the G0 check
Created in NX7.0.0.



License requirements : studio_analyze ("STUDIO ANALYZE")

Parameters
g0Checkg0check
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetG1Check ( bool  g1Check)

Sets the G1 check
Created in NX7.0.0.



License requirements : studio_analyze ("STUDIO ANALYZE")

Parameters
g1Checkg1check
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetG2Check ( bool  g2Check)

Sets the G2 check
Created in NX7.0.0.



License requirements : studio_analyze ("STUDIO ANALYZE")

Parameters
g2Checkg2check
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetG3Check ( bool  g3Check)

Sets the G3 check
Created in NX7.0.0.



License requirements : studio_analyze ("STUDIO ANALYZE")

Parameters
g3Checkg3check
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetShowNeedle ( bool  showNeedle)

Sets the show needle
Created in NX7.0.0.



License requirements : studio_analyze ("STUDIO ANALYZE")

Parameters
showNeedleshowneedle
bool NXOpen::GeometricAnalysis::CurveContinuityBuilder::ShowNeedle ( )

Returns the show needle
Created in NX7.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.